Skip to main content
POST
/
api
/
v1
/
workspaces
/
{workspaceId}
/
companies
cURL
curl -sS -X POST "$FLUIDE_BASE_URL/api/v1/workspaces/string/companies" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "success": true,
  "message": "Operation completed successfully",
  "data": {}
}

Path Parameters

workspaceId
string
required

workspaceId identifier

Body

application/json
name
string
required
Required string length: 1 - 200
countryCode
string
required
currency
string
required
industry
string
Maximum string length: 160
industryCategory
string
Maximum string length: 80
businessSize
string
Maximum string length: 40
registrationNumber
string
Maximum string length: 120
taxId
string
Maximum string length: 120
address
string
Maximum string length: 240
city
string
Maximum string length: 120
Maximum string length: 500

Response

Create Company — created

success
boolean
required

Whether the request succeeded

Example:

true

message
string
required

Human-readable outcome message (localized when i18n is configured)

Example:

"Operation completed successfully"

data
object

Endpoint-specific payload